/*
 *******************************************************
  
 cat an mice benchmark, wodes08, libfaudes 2.09

 this file provides models for the individual cat k and mouse k
 residing on n levels of the maze hierarchy, as well as 
 specifications for the cats and mice
  
 *******************************************************
 */ 

#include "libfaudes.h"

using namespace faudes;

// simple protocol switch
#ifdef FAUDES_DEBUG_WODES08
#define FD_DW08(message) std::cerr << "FAUDES_WODES: " <<  message << std::endl;
#else
#define FD_DW08(message)
#endif

// create cat with number k and on n maze levels
void Cat(cGenerator& rCat, const int n, const int k);

// create mouse with number k and on n maze levels
void Mouse(cGenerator& rMouse, const int n, const int k);

// create cat specification for the cat catNumber on n levels and considering the mutual exclusion with k mice
void CatSpecification(cGenerator& rCat, cGenerator& rCatSpec, const int catNumber, const int n, const int k);

// create mouse specification for the mouse mouseNumber on n levels and considering the mutual exclusion with k cats
void MouseSpecification(cGenerator& rMouse, cGenerator& rMouseSpec, const int mouseNumber, const int n, const int k);

